/**
 * @file buddy.h
 *
 * does everything with SkypeAPI buddies: status, info, etc.
 *
 * Copyright (C) 2007, Willem van Engen <dev-pidgin@willem.engen.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _PURPLE_SKYPEAPI_BUDDY_H_
#define _PURPLE_SKYPEAPI_BUDDY_H_

#include <connection.h>
#include "config.h"

void skypeapi_buddy_init(PurpleConnection *gc);
void skypeapi_buddy_cleanup(PurpleConnection *gc);

// purple callbacks
void skypeapi_buddy_pcb_add(PurpleConnection *gc, PurpleBuddy *buddy, PurpleGroup *group);
void skypeapi_buddy_pcb_rem(PurpleConnection *gc, PurpleBuddy *buddy, PurpleGroup *group);
char *skypeapi_buddy_pcb_status_text(PurpleBuddy *buddy);
void skypeapi_buddy_pcb_get_info(PurpleConnection *gc, const char *who);

#endif /* _PURPLE_SKYPEAPI_BUDDY_H_ */
