/**
 * @file conn_dbus.h
 *
 * Low-level connection to Skype using dbus.
 *
 * Copyright (C) 2007, Willem van Engen <dev-pidgin@willem.engen.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _PURPLE_SKYPEAPI_CONN_DBUS_H_
#define _PURPLE_SKYPEAPI_CONN_DBUS_H_

#include "conn.h"

void *skypeapi_conn_dbus_open_session(void *cb_data);
void *skypeapi_conn_dbus_open_system(void *cb_data);
void skypeapi_conn_dbus_close(void *sc);
char skypeapi_conn_dbus_send_raw(void *sc, const char *buf, unsigned int len); 

#endif /* _PURPLE_SKYPEAPI_CONN_H_ */
