#include <stdio.h>
#define DBUS_API_SUBJECT_TO_CHANGE
#include <dbus/dbus.h>

DBusError err;

static DBusHandlerResult filter(DBusConnection *conn, DBusMessage *msg, void *ptr)
{
	char *p;
	printf("got message\n");
	dbus_message_get_args(msg, &err, DBUS_TYPE_STRING, &p, DBUS_TYPE_INVALID);
	printf(" --> %s\n", p);
	return DBUS_HANDLER_RESULT_NOT_YET_HANDLED;
}

int main(int argc, char *argv)
{
	DBusConnection *conn;
	DBusMessage *msg;

	dbus_error_init(&err);
	
	// open dbus connection
	conn = dbus_bus_get(DBUS_BUS_SYSTEM, &err);
	if (!conn) {
		printf("dbus connection failed: %s\n", err.message);
		dbus_error_free(&err);
		return 1;
	}
	printf("got conn\n");

	//dbus_bus_add_match(conn, "type='signal',interface='com.Skype.API'",&err);
	//dbus_connection_add_filter(conn, filter, NULL, NULL);

	printf("added match\n");

	msg = dbus_message_new_method_call(
				"com.Skype.API",
				"/com/Skype",
				"com.Skype.API",
				"Invoke");
	if (!msg) {
		printf("no msg :(\n");
		return 1;
	}
	printf("new call\n");
	if (!dbus_message_append_args(msg, DBUS_TYPE_STRING, "PING", DBUS_TYPE_INVALID)) {
		printf("message format bad\n");
		return 1;
	}
	printf("args done\n");
	dbus_connection_send(conn, msg, NULL);
	printf("msg sent\n");

	

	sleep(2);
	
	printf("finishing\n");
	return 0;
}
