/**
 * @file skypeapi.h
 *
 * purple protocol plugin for the Skype API
 *
 * Copyright (C) 2007, Willem van Engen <dev-pidgin@willem.engen.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PURPLE_SKYPEAPI_H__
#define __PURPLE_SKYPEAPI_H__

#include <glib/gi18n.h>
#include <conversation.h>

#include "conn.h"

enum {
	SKYPEAPI_STATUS_START = PURPLE_STATUS_NUM_PRIMITIVES,
	SKYPEAPI_STATUS_SKYPEME,
	SKYPEAPI_STATUS_DND
};

struct skypeapi_purpleconn {
	// Associated libpurple account
	PurpleAccount *account;
	// Middle-level connection structure
	struct skypeapi_conn conn;
	
	// Data allocated by different parts
	// Don't include full type to avoid always including all headers
	gpointer d_buddy;
	gpointer d_chat;
	
	// Whether to handle chat messages or not
	gboolean handle_msg;
	
	// Skype protocol version, or -1 if unknown.
	int protoversion;
};

// Command callbacks

typedef void (*skypeapi_token_callback_t)(PurpleAccount *acc, const char *data, gpointer p);

#endif /* __PURPLE_SKYPEAPI_H__ */
